package catalystError

import "github.com/go-errors/errors"

//// Errors generated by Catalyst's rest frontend ////

//

// Corresponds with HTTP 401 Unauthorized
type Unauthenticated struct {
	Err *errors.Error
}

func (u Unauthenticated) clientError() {}

func (u Unauthenticated) Error() string {
	return u.Err.Error()
}

func (u Unauthenticated) ErrorStack() string {
	return u.Err.ErrorStack()
}

// Corresponds with HTTP 403 Forbidden (do not confuse with 401 Unauthorized)
type Unauthorized struct {
	Err *errors.Error
}

func (u Unauthorized) clientError() {}

func (u Unauthorized) Error() string {
	return u.Err.Error()
}

func (u Unauthorized) ErrorStack() string {
	return u.Err.ErrorStack()
}
